# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename window-size

Name:               nodejs-window-size
Version:            1.1.0
Release:            %mkrel 5
Summary:            Get the height and width of the terminal in a node.js environment
Group:              Development/Other
License:            MIT
URL:                https://www.npmjs.org/package/window-size
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch


BuildRequires:      nodejs-packaging >= 6

%description
Reliable way to to get the height and width of the terminal/console in a
node.js environment.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep define-property ">=2.0.2"
%nodejs_fixdep is-number ">=6.0.0"

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/window-size
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/window-size

%nodejs_symlink_deps

%files
%license LICENSE
%doc README.md
%{nodejs_sitelib}/window-size/



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.1.0-5.mga9
+ Revision: 1819181
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1507335
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-3.mga7
+ Revision: 1287859
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix nodejs dependencies

* Fri Apr 13 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1218129
- Update to version 1.1.0

* Sat Feb 20 2016 umeabot <umeabot> 0.1.2-2.mga6
+ Revision: 972222
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 spuhler <spuhler> 0.1.2-1.mga6
+ Revision: 896760
- first mga build
- import from Fedora


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 09 2015 Ralph Bean <rbean@redhat.com> - 0.1.0-2
- Move LICENSE out into the %%license macro.

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.1.0-1
- Initial packaging for Fedora.
